Bug 314724 - Window title doesn't change when comparing images.
Summary: Window title doesn't change when comparing images.
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 5.0.0
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-08 22:36 UTC by Götz
Modified: 2018-04-05 17:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Götz 2013-02-08 22:36:27 UTC
When comparing images, the window title preserves the title of the first selected image. 
This makes the comparing process difficult when the user has to know the selected image name.

Reproducible: Always

Steps to Reproduce:
1.One an image from a folder with minimum 2 images.
2.Click on + (on the thumbnail) to add an image to the comparison.
3.See the window title, click one image, see the window title, click on the other image, the window title has still the first image title.
Actual Results:  
The window title doesn't change according to the selected image.

Expected Results:  
The window title should change according to the selected image.
Comment 1 Holger 2013-08-19 18:47:25 UTC
It would also be great, if the meta-info-tab could update with the data from the image with the blue selection frame. This way I could easily tell by file-size which image was shrunk to facilitate upload and can safely be deleted, as the original with the older time-stamp will be enough for the backup.
Comment 2 null 2018-04-05 17:50:11 UTC
Git commit a7819f6eb53cfa6cacfe542edb9dd73e9e2bd260 by Henrik Fehlauer, on behalf of Silas Lenz.
Committed on 05/04/2018 at 17:50.
Pushed by rkflx into branch 'Applications/18.04'.

Update window title when changing selection in comparison mode

Summary:
The window title now updates with the currently selected image when the user changes the selection in comparison mode.

Before:
{F5743855}

After:
{F5743856}

Test Plan:
View and select different images with and without comparison mode and verify the title.

Resize images by resizing the window or selecting/deselecting images while in comparison mode and verify the title.

View and switch between images in normal mode to verify it still works, including title updates.

Reviewers: #gwenview, ngraham, rkflx

Reviewed By: #gwenview, ngraham, rkflx

Subscribers: muhlenpfordt, ngraham, rkflx, #gwenview

Tags: #gwenview

Differential Revision: https://phabricator.kde.org/D11105

M  +4    -0    lib/documentview/documentview.cpp

https://commits.kde.org/gwenview/a7819f6eb53cfa6cacfe542edb9dd73e9e2bd260